directories:
  output: release/build
  buildResources: assets
  app: release/app
productName: TongBaoVPN
appId: org.erb.TongBao
asar: true
asarUnpack: '**\*.{node,dll}'
files:
  - filter:
      - dist
      - node_modules
      - package.json
mac:
  target:
    target: default
    arch:
      - arm64
      - x64
  artifactName: TongBao VPN ${version}_${arch}.${ext}
  type: distribution
  hardenedRuntime: true
  entitlements: assets/entitlements.mac.plist
  entitlementsInherit: assets/entitlements.mac.plist
  gatekeeperAssess: false
dmg:
  contents:
    - x: 130
      'y': 220
    - x: 410
      'y': 220
      type: link
      path: /Applications
win:
  artifactName: TongBao VPN Windows_${version}.exe
  target:
    - nsis
nsis:
  oneClick: false
  perMachine: true
  allowToChangeInstallationDirectory: true
  allowElevation: true
  include: installer.nsh
linux:
  target:
    - deb
    - AppImage
  category: Network
  artifactName: TongBao VPN Linux_${version}.${ext}
deb:
  depends:
    - libfuse2
    - libgtk-3-0
    - libnss3
    - libx11-xcb1
    - libxcomposite1
    - libxrandr2
    - libgbm1
    - libxss1
extraResources:
  - filter:
      - ./assets/**
publish:
  provider: generic
  url: https://update.tongbaovpn.com
electronVersion: 26.6.10
